export const infoByStatus = (status) => {
  const statusMap = {
    DEFAULT: {
      icon: `<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M2 7C2 5.89543 2.89543 5 4 5H16C17.1046 5 18 5.89543 18 7V13C18 14.1046 17.1046 15 16 15H4C2.89543 15 2 14.1046 2 13V7ZM13 10C13 11.6569 11.6569 13 10 13C8.34315 13 7 11.6569 7 10C7 8.34315 8.34315 7 10 7C11.6569 7 13 8.34315 13 10ZM22 9.5C22 8.94772 21.5523 8.5 21 8.5C20.4477 8.5 20 8.94772 20 9.5V16C20 16.5523 19.5523 17 19 17H5C4.44772 17 4 17.4477 4 18C4 18.5523 4.44772 19 5 19H19C20.6569 19 22 17.6569 22 16V9.5Z" fill="#00CCA6"/>
              </svg>`,
      title: 'Доступен аванс'
    },
    NEW: {
      icon: `<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd" clip-rule="evenodd" d="M24 6C24 9.31357 21.3141 12 18 12C14.6859 12 12 9.31357 12 6C12 2.68643 14.6859 0 18 0C21.3141 0 24 2.68643 24 6ZM22.5 6C22.5 8.48522 20.4856 10.5 18 10.5C15.5144 10.5 13.5 8.48522 13.5 6C13.5 3.51478 15.5144 1.5 18 1.5C20.4856 1.5 22.5 3.51478 22.5 6ZM17.75 3C17.3358 3 17 3.33579 17 3.75V6.25C17 6.66421 17.3358 7 17.75 7H20.25C20.6642 7 21 6.66421 21 6.25C21 5.83579 20.6642 5.5 20.25 5.5H18.5V3.75C18.5 3.33579 18.1642 3 17.75 3ZM10.252 8C10.9756 10.8112 13.1888 13.0244 16 13.748V16C16 17.1046 15.1046 18 14 18H2C0.895431 18 0 17.1046 0 16V10C0 8.89543 0.895431 8 2 8H10.252ZM18 19V14C18.6906 14 19.3608 13.9125 20 13.748V19C20 20.6569 18.6569 22 17 22H3C2.44772 22 2 21.5523 2 21C2 20.4477 2.44772 20 3 20H17C17.5523 20 18 19.5523 18 19ZM11 13C11 14.6569 9.65685 16 8 16C6.34315 16 5 14.6569 5 13C5 11.3431 6.34315 10 8 10C9.65685 10 11 11.3431 11 13Z" fill="#00CCA6"/>
                </svg>`,
      title: 'Вы заказали аванс',
    },
    IN_PROCESS: {
      icon: `<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd" clip-rule="evenodd" d="M23.115 3.45286C23.4349 3.06063 23.361 2.49516 22.9502 2.18984C22.5393 1.88453 21.9469 1.95498 21.627 2.34721L17.4312 7.71891L14.6287 4.8825C14.2714 4.52091 13.6747 4.50425 13.2959 4.84529C12.9171 5.18634 12.8997 5.75594 13.2569 6.11753L16.8139 9.71752C17.0027 9.90861 17.2695 10.0114 17.5444 9.99899C17.8193 9.98656 18.0747 9.86011 18.2437 9.65283L23.115 3.45286ZM2 8H12.7724L16 11.0884V16C16 17.1046 15.1046 18 14 18H2C0.895431 18 0 17.1046 0 16V10C0 8.89543 0.895431 8 2 8ZM18 12.5C18 12.2313 18.106 11.9873 18.2785 11.8076C18.3749 11.7525 18.4639 11.6863 18.5432 11.6102C18.6801 11.5398 18.8354 11.5 19 11.5C19.5523 11.5 20 11.9477 20 12.5V19C20 20.6569 18.6569 22 17 22H3C2.44772 22 2 21.5523 2 21C2 20.4477 2.44772 20 3 20H17C17.5523 20 18 19.5523 18 19V12.5ZM11 13C11 14.6569 9.65685 16 8 16C6.34315 16 5 14.6569 5 13C5 11.3431 6.34315 10 8 10C9.65685 10 11 11.3431 11 13Z" fill="#00CCA6"/>
                </svg>`,
      title: 'Аванс одобрен',
    },
    FULLY_PAID: {
      icon: `<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd" clip-rule="evenodd" d="M19.115 3.45286C19.4349 3.06063 19.361 2.49516 18.9502 2.18984C18.5393 1.88453 17.9469 1.95498 17.627 2.34721L13.4312 7.71891L10.6287 4.8825C10.2714 4.52091 9.67473 4.50425 9.29592 4.84529C8.91712 5.18634 8.89967 5.75594 9.25694 6.11753L12.8139 9.71752C13.0027 9.90861 13.2695 10.0114 13.5444 9.99899C13.8193 9.98656 14.0747 9.86011 14.2437 9.65283L19.115 3.45286ZM23.8011 3.45286C24.121 3.06063 24.0472 2.49516 23.6363 2.18984C23.2254 1.88453 22.633 1.95498 22.3132 2.34721L18.1173 7.71891L17.9825 7.58249C17.6252 7.2209 17.0285 7.20424 16.6497 7.54528C16.2709 7.88633 16.2535 8.45593 16.6108 8.81752L17.5 9.71752C17.6888 9.90861 17.9556 10.0114 18.2305 9.99899C18.5054 9.98656 18.7608 9.86011 18.9299 9.65283L23.8011 3.45286ZM2 8H8.77238L12.5467 11.6116C12.8213 11.8743 13.2094 12.0157 13.6091 11.9986C14.0089 11.9815 14.3804 11.8076 14.6262 11.5226L15.9961 9.87425C15.9987 9.91583 16 9.95776 16 10V16C16 17.1046 15.1046 18 14 18H2C0.895431 18 0 17.1046 0 16V10C0 8.89543 0.895431 8 2 8ZM11 13C11 14.6569 9.65685 16 8 16C6.34315 16 5 14.6569 5 13C5 11.3431 6.34315 10 8 10C9.65685 10 11 11.3431 11 13ZM20 12.5C20 11.9477 19.5523 11.5 19 11.5C18.4477 11.5 18 11.9477 18 12.5V19C18 19.5523 17.5523 20 17 20H3C2.44772 20 2 20.4477 2 21C2 21.5523 2.44772 22 3 22H17C18.6569 22 20 20.6569 20 19V12.5Z" fill="#00CCA6"/>
                </svg>`,
      title: 'Аванс выдан',
    },
    CANCELLED: {
      icon: `<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd" clip-rule="evenodd" d="M13.4345 9.56588C13.7469 9.8783 14.2535 9.8783 14.5659 9.56588L17.0002 7.13157L19.4345 9.56588C19.7469 9.8783 20.2535 9.8783 20.5659 9.56588C20.8783 9.25346 20.8783 8.74693 20.5659 8.43451L18.1316 6.0002L20.5659 3.56588C20.8783 3.25346 20.8783 2.74693 20.5659 2.43451C20.2535 2.12209 19.7469 2.12209 19.4345 2.43451L17.0002 4.86882L14.5659 2.43451C14.2535 2.12209 13.7469 2.12209 13.4345 2.43451C13.1221 2.74693 13.1221 3.25346 13.4345 3.56588L15.8688 6.0002L13.4345 8.43451C13.1221 8.74693 13.1221 9.25346 13.4345 9.56588ZM12.4134 10.4145C11.759 9.76007 11.6529 8.76505 12.0951 8.00018H2C0.895431 8.00018 0 8.89561 0 10.0002V16.0002C0 17.1048 0.895431 18.0002 2 18.0002H14C15.1046 18.0002 16 17.1048 16 16.0002V10.0002C16 9.89174 15.9914 9.78531 15.9748 9.68155L15.2419 10.4145C14.4608 11.1955 13.1945 11.1955 12.4134 10.4145ZM11 13.0002C11 14.657 9.65685 16.0002 8 16.0002C6.34315 16.0002 5 14.657 5 13.0002C5 11.3433 6.34315 10.0002 8 10.0002C9.65685 10.0002 11 11.3433 11 13.0002ZM20 12.5002C20 11.9479 19.5523 11.5002 19 11.5002C18.4477 11.5002 18 11.9479 18 12.5002V19.0002C18 19.5525 17.5523 20.0002 17 20.0002H3C2.44772 20.0002 2 20.4479 2 21.0002C2 21.5525 2.44772 22.0002 3 22.0002H17C18.6569 22.0002 20 20.657 20 19.0002V12.5002Z" fill="#E62D3B"/>
                </svg>`,
      title: 'Аванс не одобрен'
    }
  }

  return statusMap[status] || {}
}
